boost::geometry::strategy::within::winding_check_touch< Point, CalculationType, CSTag > Struct Template Reference

List of all members.

## Public Types

typedef CalculationType | calc_t
typedef math::detail::constants_on_spheroid < CalculationType, units_t > | constants
typedef coordinate_system < Point >::type::units | units_t

## Static Public Member Functions

template<typename PointOfSegment , typename State >
static int | apply (Point const &point, PointOfSegment const &seg1, PointOfSegment const &seg2, State &state, bool &eq1, bool &eq2)

### template<typename Point, typename CalculationType, typename CSTag = typename cs_tag<Point>::type>
struct boost::geometry::strategy::within::winding_check_touch< Point, CalculationType, CSTag >

## Member Typedef Documentation

template<typename Point , typename CalculationType , typename CSTag = typename cs_tag<Point>::type>

typedef CalculationType boost::geometry::strategy::within::winding_check_touch< Point, CalculationType, CSTag >::calc_t

template<typename Point , typename CalculationType , typename CSTag = typename cs_tag<Point>::type>

typedef coordinate_system<Point>::type::units boost::geometry::strategy::within::winding_check_touch< Point, CalculationType, CSTag >::units_t

template<typename Point , typename CalculationType , typename CSTag = typename cs_tag<Point>::type>

typedef math::detail::constants_on_spheroid<CalculationType, units_t> boost::geometry::strategy::within::winding_check_touch< Point, CalculationType, CSTag >::constants

## Member Function Documentation

template<typename Point , typename CalculationType , typename CSTag = typename cs_tag<Point>::type>
template<typename PointOfSegment , typename State >

static int boost::geometry::strategy::within::winding_check_touch< Point, CalculationType, CSTag >::apply | ( | Point const & | point,
|  | PointOfSegment const & | seg1,
|  | PointOfSegment const & | seg2,
|  | State & | state,
|  | bool & | eq1,
|  | bool & | eq2
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK